import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
// 管理员
import adminLogin from './adminLogin';
// 个人
import personal from '@common/src/store/personal';
// 机构
import organization from '@common/src/store/organization';
// 专家
import expert from '@common/src/store/expert';
// // 展会
import dock from '@common/src/store/dock/dock';
// 展会图文
import dockImgtxt from '@common/src/store/dock/dockImgtxt';
// 公共聊天
import dockChat from '@common/src/store/dock/dockChat';
// 科技频道
import channel from '@common/src/store/channel';
import channelVideo from '@common/src/store/channelVideo';
// 嘉宾访谈
import interview from '@common/src/store/interview';
// 培训问诊
import trainLive from '@common/src/store/trainLive';
import trainchat from '@common/src/store/trainchat';
// 项目路演
import roadShow from '@common/src/store/roadShow';
// 产品
import product from '@common/src/store/product';
// 交易备案
// import transaction from '@common/src/store/transaction';
// e专利
import patent from '@common/src/store/patent';
// 技术新闻
import column from '@common/src/store/column';
import news from '@common/src/store/news';
// 科技新闻
import science from '@common/src/store/science';
// 字典表
import category from '@common/src/store/category';
import code from '@common/src/store/code';
import place from '@common/src/store/place';
import upload from './upload';
import questionnaire from '@common/src/store/question/questionnaire';
import answer from '@common/src/store/question/answer';
// 统计
import statistics from '@common/src/store/statistics';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    adminLogin,
    personal,
    organization,
    expert,
    dock,
    dockImgtxt,
    dockChat,
    channel,
    channelVideo,
    interview,
    trainLive,
    trainchat,
    roadShow,
    product,
    // transaction,
    patent,
    column,
    news,
    science,
    category,
    code,
    place,
    upload,
    questionnaire,
    answer,
    statistics,
  },
});
